﻿Imports System.ComponentModel

Public Class CustomPropertyDescriptor
    Inherits PropertyDescriptor

    Public Sub New(ByVal name As String)
        MyBase.New(name, New Attribute() {})
    End Sub

    Public Overrides Function CanResetValue(ByVal component As Object) As Boolean
        Return True
    End Function

    Public Overrides ReadOnly Property ComponentType() As System.Type
        Get
            Return GetType(IGridLine)
        End Get
    End Property

    Public Overrides Function GetValue(ByVal component As Object) As Object
        Console.WriteLine("GetValue called " & Name)
        Return Name
    End Function

    Public Overrides ReadOnly Property IsReadOnly() As Boolean
        Get
            Return False
        End Get
    End Property

    Public Overrides ReadOnly Property PropertyType() As System.Type
        Get
            Return GetType(String)
        End Get
    End Property

    Public Overrides Sub ResetValue(ByVal component As Object)
        
    End Sub

    Public Overrides Sub SetValue(ByVal component As Object, ByVal value As Object)
        
    End Sub

    Public Overrides Function ShouldSerializeValue(ByVal component As Object) As Boolean
        Return True
    End Function
End Class